|  | Home · All Classes · Modules

# QShortcutEvent Class Reference
[QtGui module]

The QShortcutEvent class provides an event which is generated when the user presses a key combination. More...

Inherits QEvent.

### Methods

- __init__ (self, QKeySequence key, int id, bool ambiguous = False)
- __init__ (self, QShortcutEvent other)
- bool isAmbiguous (self)
- QKeySequence key (self)
- int shortcutId (self)

## Detailed Description

The QShortcutEvent class provides an event which is generated when the user presses a key combination.

Normally you don't need to use this class directly; QShortcut provides a higher-level interface to handle shortcut keys.

See also QShortcut.

## Method Documentation

### QShortcutEvent.__init__ (self, QKeySequence key, int id, bool ambiguous = False)

Constructs a shortcut event for the given key press, associated with the QShortcut ID id.

ambiguous specifies whether there is more than one QShortcut for the same key sequence.

### QShortcutEvent.__init__ (self, QShortcutEvent other)

### bool QShortcutEvent.isAmbiguous (self)

Returns true if the key sequence that triggered the event is ambiguous.

See also QShortcut.activatedAmbiguously().

### QKeySequence QShortcutEvent.key (self)

Returns the key sequence that triggered the event.

### int QShortcutEvent.shortcutId (self)

Returns the ID of the QShortcut object for which this event was generated.

See also QShortcut.id().